# Interface ICSSPropertyPaddingHandler

All Superinterfaces:
  `ICSSPropertyHandler`

All Known Implementing Classes:
  `AbstractCSSPropertyPaddingHandler, CSSPropertyPaddingSWTHandler`

public interface ICSSPropertyPaddingHandler extends ICSSPropertyHandler
CSS Padding Handler.

See Also:
  - w3schools

## Method Summary

Modifier and Type
Method
Description
`void`
`applyCSSPropertyPadding(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all four paddings in one declaration.
`void`
`applyCSSPropertyPaddingBottom(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the bottom padding.
`void`
`applyCSSPropertyPaddingLeft(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the left padding.
`void`
`applyCSSPropertyPaddingRight(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the right padding.
`void`
`applyCSSPropertyPaddingTop(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the top padding.
`String`
`retrieveCSSPropertyPadding(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyPaddingBottom(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyPaddingLeft(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyPaddingRight(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyPaddingTop(Object element, String pseudo, CSSEngine engine)`

### Methods inherited from interface ICSSPropertyHandler

`applyCSSProperty, onAllCSSPropertiesApplied, onAllCSSPropertiesApplied, retrieveCSSProperty`

## Method Details

### applyCSSPropertyPadding

void applyCSSPropertyPadding(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
A shorthand property for setting all four paddings in one declaration. Available values are {padding-top, padding-right, padding-bottom, padding-left}

Throws:
  `Exception`

### applyCSSPropertyPaddingTop

void applyCSSPropertyPaddingTop(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the top padding. Available values are {length}

Throws:
  `Exception`

### applyCSSPropertyPaddingRight

void applyCSSPropertyPaddingRight(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the right padding. Available values are {length}

Throws:
  `Exception`

### applyCSSPropertyPaddingBottom

void applyCSSPropertyPaddingBottom(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the bottom padding. Available values are {length}

Throws:
  `Exception`

### applyCSSPropertyPaddingLeft

void applyCSSPropertyPaddingLeft(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the left padding. Available values are {length}

Throws:
  `Exception`

### retrieveCSSPropertyPadding

String retrieveCSSPropertyPadding(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyPaddingTop

String retrieveCSSPropertyPaddingTop(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyPaddingRight

String retrieveCSSPropertyPaddingRight(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyPaddingBottom

String retrieveCSSPropertyPaddingBottom(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyPaddingLeft

String retrieveCSSPropertyPaddingLeft(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`